#!/bin/bash
yum install krb5\* -y
sleep 2
USERPW=redhat	 
sed -i-bak -e '/default_realm/s/^#//' -e 's/\(.*default_realm =\) .*/\1 RHCE.CC/' /etc/krb5.conf
sed -i-bak 's/EXAMPLE.COM/RHCE.CC/g' /var/kerberos/krb5kdc/{kdc.conf,kadm5.acl}
/usr/sbin/kdb5_util create  -P "redhat" -s
for i in $(seq 0 11); do
    UNAME=$(printf ldapuser%d $i) 
    echo "add_principal -pw $USERPW $UNAME" | kadmin.local
done
mkdir -p /var/www/html/pub/keytabs
CLIENT=www2.rhce.cc
SERVER=www1.rhce.cc
CLIENTKT=/var/www/html/pub/keytabs/client.keytab
SERVERKT=/var/www/html/pub/keytabs/server.keytab
for x in host/${SERVER} host/${CLIENT} nfs/${SERVER} nfs/${CLIENT}; do
  echo "addprinc -randkey -clearpolicy ${x}" | kadmin.local
done
echo "ktadd -k ${SERVERKT} host/${SERVER} nfs/${SERVER}" | kadmin.local
echo "ktadd -k ${CLIENTKT} host/${CLIENT} nfs/${CLIENT}" | kadmin.local
chmod 644 /var/www/html/pub/keytabs/*
systemctl enable krb5kdc.service
systemctl start krb5kdc.service
